stages:
  - 🛠:build

variables:
  artifactId: "code-with-quarkus"
  version: "1.0.0-SNAPSHOT"
  #MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository"

# it works only with shared cache
# or with only one runner
#cache:
#  paths:
#    - .m2/repository

📦:maven:package:
  stage: 🛠:build
  image: maven:3.6.3-adoptopenjdk-11
  artifacts:
    paths:
      - target/${artifactId}-${version}-runner.jar
    expire_in: 1 week
  script:
    - mvn package -Dquarkus.package.type=uber-jar
    

